Package twisted :: Package internet :: Module app :: Class _AbstractServiceCollection

[frames | no frames]

## Class _AbstractServiceCollection

Known Subclasses:
  `Application`, `MultiService`

Method Summary
| ``__init__`(self)` Create an abstract service collection.
| ``addService`(self, service)` Add a service to this collection.
| ``getServiceNamed`(self, serviceName)` Retrieve the named service from this application.
| ``removeService`(self, service)` Remove a service from this collection.

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.ISe...`

Method Details

### __init__(self)
(Constructor)

Create an abstract service collection.

### addService(self, service)

Add a service to this collection.

### getServiceNamed(self, serviceName)

Retrieve the named service from this application.

Raise a KeyError if there is no such service name.

### removeService(self, service)

Remove a service from this collection.

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.internet.interfaces.IServiceCollection at 0x8250004>,)

Generated by Epydoc 2.0 on Sat May 15 20:07:40 2004 | http://epydoc.sf.net